package ru.yandex.autotests.directapi.model.api5.general;

import com.yandex.direct.api.v5.general.ActionResult;

/**
 * Author pavryabov
 * Date 25.06.14
 */
public class ActionResultMap extends ActionResultBaseMap {

    public static final String ID = "id";

    public ActionResultMap() {
        super();
        setBean(new ActionResult());
    }

    public ActionResultMap(ActionResult actionResult) {
        super();
        setBean(actionResult);
    }

    public ActionResultMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public ActionResultMap withId(Long id) {
        this.put(ID, id);
        return this;
    }
}
